ByCloud Docs
GuidesCLIAPISDK
get/v1/ports/{port_id}

Get port

Get details of a specific port

Path Parameters

port_id

string<uuid>required

path

Port ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Port details

Content-Type: application/json

port

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/ports/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Port details

{
"port": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:port:550e8400-e29b-41d4-a716-446655440000",
"name": "web-server-port",
"description": "string",
"network_id": "550e8400-e29b-41d4-a716-446655440001",
"status": "ACTIVE",
"mac_address": "fa:16:3e:4f:5a:2b",
"fixed_ips": [
{
"subnet_id": "550e8400-e29b-41d4-a716-446655440000",
"ip_address": "192.168.1.10"
}
],
"device_id": "string",
"device_owner": "compute:nova",
"security_groups": [
"550e8400-e29b-41d4-a716-446655440000"
],
"port_security_enabled": true,
"allowed_address_pairs": [
{
"ip_address": "192.168.1.100",
"mac_address": "fa:16:3e:4f:5a:2b"
}
],
"dns_name": "string",
"dns_assignment": [
{
"hostname": "string",
"ip_address": "string",
"fqdn": "string"
}
],
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}